com.fasterxml.jackson.databind.deser.std

## Class AtomicReferenceDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.ReferenceTypeDeserializer<AtomicReference<Object>>
      - - com.fasterxml.jackson.databind.deser.std.AtomicReferenceDeserializer

All Implemented Interfaces:
  ContextualDeserializer, Serializable

    public class AtomicReferenceDeserializer
    extends ReferenceTypeDeserializer<AtomicReference<Object>>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.ReferenceTypeDeserializer

`_fullType, _valueDeserializer, _valueTypeDeserializer`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
Constructor and Description
`AtomicReferenceDeserializer(JavaType fullType)` Deprecated.
`AtomicReferenceDeserializer(JavaType fullType, TypeDeserializer typeDeser, JsonDeserializer<?> deser)`

### Method Summary

Methods
`AtomicReference<Object>` `getNullValue(DeserializationContext ctxt)` Method that can be called to determine value to be used for representing null values (values deserialized when JSON token is `JsonToken.VALUE_NULL`).
`AtomicReference<Object>` `referenceValue(Object contents)`
`AtomicReferenceDeserializer` `withResolved(TypeDeserializer typeDeser, JsonDeserializer<?> valueDeser)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.ReferenceTypeDeserializer

`createContextual, deserialize, deserializeWithType, getValueType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromInt, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, getValueClass, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtomicReferenceDeserializer

    @Deprecated
    public AtomicReferenceDeserializer(JavaType fullType)

Deprecated.

#### AtomicReferenceDeserializer

    public AtomicReferenceDeserializer(JavaType fullType,
                               TypeDeserializer typeDeser,
                               JsonDeserializer<?> deser)

### Method Detail

#### withResolved

    public AtomicReferenceDeserializer withResolved(TypeDeserializer typeDeser,
                                           JsonDeserializer<?> valueDeser)

Specified by:
  `withResolved` in class `ReferenceTypeDeserializer<AtomicReference<Object>>`

#### getNullValue

    public AtomicReference<Object> getNullValue(DeserializationContext ctxt)

Description copied from class: `JsonDeserializer`
Method that can be called to determine value to be used for representing null values (values deserialized when JSON token is `JsonToken.VALUE_NULL`). Usually this is simply Java null, but for some types (especially primitives) it may be necessary to use non-null values.

Since version 2.6 (in which the context argument was added), call is expected to be made each and every time a null token needs to be handled.

Default implementation simply returns null.

Specified by:
  `getNullValue` in class `ReferenceTypeDeserializer<AtomicReference<Object>>`

#### referenceValue

    public AtomicReference<Object> referenceValue(Object contents)

Specified by:
  `referenceValue` in class `ReferenceTypeDeserializer<AtomicReference<Object>>`